Package org.eclipse.draw2d

# Class LabelAnchor

java.lang.Object
org.eclipse.draw2d.ConnectionAnchorBase
org.eclipse.draw2d.AbstractConnectionAnchor
org.eclipse.draw2d.ChopboxAnchor
org.eclipse.draw2d.LabelAnchor

All Implemented Interfaces:
  `AncestorListener`, `ConnectionAnchor`

public class LabelAnchor extends ChopboxAnchor
LabelAnchors must have an owner of type `Label`. The LabelAnchor behaves like `ChopboxAnchor` but `Connections` will point to the center of its owner's icon as opposed to the center of the entire owning Label.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.AncestorListener

`AncestorListener.Stub`

## Field Summary

### Fields inherited from class org.eclipse.draw2d.ConnectionAnchorBase

`listeners`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`LabelAnchor()`
Constructs a LabelAnchor with no owner.
``
`LabelAnchor(Label label)`
Constructs a LabelAnchor with owner label.

## Method Summary

Modifier and Type
Method
Description
`protected Rectangle`
`getBox()`
Returns the bounds of this LabelAnchor's owning Label icon.

### Methods inherited from class org.eclipse.draw2d.ChopboxAnchor

`equals, getLocation, getReferencePoint, hashCode`

### Methods inherited from class org.eclipse.draw2d.AbstractConnectionAnchor

`addAnchorListener, ancestorAdded, ancestorMoved, ancestorRemoved, getOwner, removeAnchorListener, setOwner`

### Methods inherited from class org.eclipse.draw2d.ConnectionAnchorBase

`fireAnchorMoved`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LabelAnchor

protected LabelAnchor()
Constructs a LabelAnchor with no owner.

Since:
  2.0

### LabelAnchor

public LabelAnchor(Label label)
Constructs a LabelAnchor with owner label.

Parameters:
  `label` - This LabelAnchor's owner
Since:
  2.0

## Method Details

### getBox

protected Rectangle getBox()
Returns the bounds of this LabelAnchor's owning Label icon.

Overrides:
  `getBox` in class `ChopboxAnchor`
Returns:
  The bounds of this LabelAnchor's owning Label icon
Since:
  2.0